## pypy 1.0.0

=== pypy/lib/logic/gecode_wrapper/Makefile ===


CXXFLAGS=$(shell pkg-config --cflags gecode gecode-minimodel gecode-search) -g
CFLAGS=-g

LDFLAGS=$(shell pkg-config --libs gecode gecode-minimodel gecode-search)

reine: main.o libgecode_wrap.so
	gcc -o reine -L. -lgecode_wrap main.o


libgecode_wrap.so: gecode_wrap.o space_wrap.o gecode_wrap.h space_wrap.hh
	g++ -o $@ $(LDFLAGS) -shared gecode_wrap.o space_wrap.o
