## pypy 1.7+dfsg

=== debian/changelog ===
pypy (1.7+dfsg-6) experimental; urgency=low

  * Restrict architectures to linux-any and kfreebsd-any. Not yet ported to
    hurd.
  * Include swap in the RAM calculation on s390*.
  * Forwarded many patches upstream.
  * Drop user-prefix patch, and adjust distutils-install-layout patch and
    package install layout to match.
  * Update manpage, to include environment variables.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 06 Feb 2012 16:50:16 +0200

pypy (1.7+dfsg-5) experimental; urgency=low

  * Revert memory requirement bump. Timeout was unrelated.
  * kfreebsd:
    - Patch plat-gnkfreebsd: Add gnukfreebsd9 platform.
    - Patch kfreebsd-glibc: Adjust platform checks to be aware of the
      difference between gnkfreebsd and freebsd.
    - Patch kfreebsd-test-hangs: Skip tests that deadlock.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 22 Jan 2012 02:20:06 +0200

pypy (1.7+dfsg-4) experimental; urgency=low

  * Really upload to experimental.
  * Patches:
    - big-endian-test_codecs: Add big endian test case to
      test_utf16_encode_decode.
    - big-endian-clibffi: Correctly handle ushort, ubyte, byte, and char types
      in clibffi on big endian.
    - kfreebsd-glibc: Don't attempt to link to libcompat. Link with libdl.
  * Bump memory requirement to 2100 MiB (32-bit), to avoid timeout on
    caballero (4G, ia64).
  * kfreebsd:
    - Enable JIT.
    - Augment, rather than replace, compiler flags from the environment.
  * Don't fail without execstack.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 16 Jan 2012 01:10:27 +0200

pypy (1.7+dfsg-3) experimental; urgency=low

  * Add pypy.1 manpage.
  * Don't BD on greenlet on architectures which it's known not to be ported
    to.
  * Don't BD on execstack on non-linux.
  * Suppress stdlib bytecompilation output.
  * Avoid timeout during build, by running make ourselves. PyPy buffers all
    make output, until it completes.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 14 Jan 2012 17:48:30 +0200

pypy (1.7+dfsg-2) experimental; urgency=low

  * Fix architecture dependant only builds.
  * Remove spurious copyright newline.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 09 Jan 2012 15:52:29 +0200

pypy (1.7+dfsg-1) experimental; urgency=low

  * Re-introduce package in experimental.
  * New upstream version.
  * New packaging:
    - Drop rpython development bits from pypy-dev.
    - Drop pypy-stackless: Now part of the default configuration.
  * Incorporate all useful stdlib patches from python2.7
  * PEP3147 support

 -- Stefano Rivera <stefanor@debian.org>  Mon, 09 Jan 2012 13:32:00 +0200

pypy (1.0.0-svn55443-1) unstable; urgency=low

  * New upstream snapshot.
    - Doesn't hardcode libc6.so.6; fixes FTBFS on ia64 (Closes: #440331)
  * Don't build pypy-stackless on platforms the greenlet module has not been
    ported to. (Closes: #475868)
  * Run tests after build on request by upstream.

 -- Chris Lamb <chris@chris-lamb.co.uk>  Sat, 31 May 2008 18:50:58 +0100

pypy (1.0.0-svn51288-1) unstable; urgency=low

  * New upstream release. (Closes: #459118)
  * New maintainer. (Closes: #455734)
  * Bump debhelper compatibility version.
  * Refresh and tidy package descriptions.
  * Tidy debian/configure.py, debian/rules, Lintian overrides.
  * Add pypy(1), py.py(1), pypy-translate(1), jscompile(1) and
    pypy-stackless(1) manpages.
  * Add get-orig-source target in debian/rules.
  * Use quilt to manage Thiemo Seufer's MIPS and MIPSEL patch.
  * Use PyPy-specific temporary directory prefixes. (Closes: #452851)

 -- Chris Lamb <chris@chris-lamb.co.uk>  Tue, 05 Feb 2008 13:26:11 +0000

pypy (1.0.0-svn51091-1) unstable; urgency=low

  * New upstream svn snapshot, fixing 64bit build (closes: #462008)

 -- Alexandre Fayolle <afayolle@debian.org>  Mon, 28 Jan 2008 09:40:48 +0100

pypy (1.0.0-svn50146-2) unstable; urgency=low

  * Added missing build dependency on zlib1g-dev (closes: #460696)

 -- Alexandre Fayolle <afayolle@debian.org>  Mon, 14 Jan 2008 18:15:32 +0100

pypy (1.0.0-svn50146-1) unstable; urgency=low

  * Acknowledge NMU (closes: #431197)
  * Apply Yaroslav Hachenko's patch to use more recent svn snapshot, and
    enable threading support (closes: #458953)
  * Apply Thiemo Seufer's patch to enable mips and mipsel support
    (closes: #459520)
  * Added build dep on procps (closes: #444652)
  * Bumped up standards to 3.7.3
  * Note that pypy is currently under ITA: I lack time to properly follow
    upstream developments, and all patches and NMU's are welcome. If you'd
    like to adopt pypy, just send me an email to notify me and jump for
    it. Offers to co-maintain are welcome too. Thanks.

 -- Alexandre Fayolle <afayolle@debian.org>  Mon, 14 Jan 2008 09:46:11 +0100

pypy (1.0.0-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Disable build of upstream removed logic object space. Remove pypy-logic
    package. (closes: #442060)
  * Move build output away from /tmp. (closes: #452850)
  * Move compile step out of the main translation. This reduces the memory
    footprint by one third.

 -- Bastian Blank <waldi@debian.org>  Tue, 27 Nov 2007 12:08:06 +0000

pypy (1.0.0-3) unstable; urgency=low

  * Use more conservative options for platforms for which support is uncertain
  * Enable check of available memory during configuration
  * Packages are once again arch: any

 -- Alexandre.Fayolle <afayolle@debian.org>  Wed, 18 Jul 2007 12:57:28 +0200

pypy (1.0.0-2) unstable; urgency=low

  * Updated debian/copyright (Closes: #423603)
  * Removed support for archs not supported upstream (Closes: #426265, #423725)
  * Adds missing conftest.py (Closes: #428539)

 -- Alexandre.Fayolle <afayolle@debian.org>  Thu, 28 Jun 2007 12:25:53 +0200

pypy (1.0.0-1) unstable; urgency=low

  * Fixed debian/copyright and reupload (Closes: #326892)
  * New upstream release

 -- Alexandre Fayolle <afayolle@debian.org>  Fri, 13 Apr 2007 09:33:09 +0200

pypy (0.99.0-1) experimental; urgency=low

  * Initial release (Closes: #326892)


