=== debian/control ===
Source: pypy
Section: python
Priority: extra
Maintainer: Stefano Rivera <stefanor@debian.org>
Build-Depends:
 debhelper (>= 8.9.7~),
 execstack [linux-any],
 libbz2-dev,
 libexpat1-dev,
 libffi-dev,
 libncurses-dev,
 libssl-dev,
 pkg-config,
 python2.7-dev,
 python-docutils,
 python-greenlet [!alpha !ia64 !sparc !sparc64],
 python-sphinx (>= 1.0.7+dfsg),
 valgrind [amd64 armel armhf i386 powerpc],
 zlib1g-dev
Build-Depends-Indep: graphviz
Standards-Version: 3.9.2
Homepage: http://pypy.org/
Vcs-Git: git://anonscm.debian.org/collab-maint/pypy.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/pypy.git

Package: pypy
Architecture: linux-any kfreebsd-any
Depends: ${misc:Depends}, ${shlibs:Depends}, pypy-lib (= ${source:Version})
Breaks: pypy-dev (<< ${source:Version})
Suggests: pypy-doc
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Description: fast alternative implementation of Python - PyPy interpreter
 PyPy is a fast, compliant alternative implementation of the Python language
 (2.7). It has several advantages and distinct features:
 Speed: thanks to its Just-in-Time compiler (on x86), Python programs often run
 faster on PyPy.
 Memory usage: large, memory-hungry Python programs might end up taking less
 space than they do in CPython.
 Compatibility: PyPy is highly compatible with existing Python code. It
 supports ctypes and can run popular Python libraries like twisted and django.
 Stackless: PyPy can be configured to run in stackless mode, providing
 micro-threads for massive concurrency.
 .
 This package contains the PyPy interpreter.

Package: pypy-lib
Architecture: all
Depends: ${misc:Depends}
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Description: Standard library for PyPy (an alternative Python interpreter)
 The PyPy standard library. This is a combination of modules, copied directly
 from cpython, modified cpython modules, and modules entirely re-implemented
 (usually in pure Python, where they are C extensions in cpython).
 .
 PyPy is a fast, compliant alternative implementation of the Python language
 (2.7).

Package: pypy-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Suggests: python-doc
Description: Developer Documentation for PyPy (an alternative Python interpreter)
 The Developer documentation for PyPy. This mostly covers the internals of
 PyPy, and development of PyPy itself.
 .
 PyPy is a fast, compliant alternative implementation of the Python language
 (2.7).

Package: pypy-dev
Architecture: all
Depends: ${misc:Depends}, pypy (>= ${source:Version})
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Description: Header files for PyPy (an alternative Python interpreter)
 Header files for compiling cpython C extension modules for use with PyPy.
 Note that pure Python modules will probably perform better.
 .
 PyPy supports a subset of cpython's C API through its CPyExt subsystem.
 .
 PyPy is a fast, compliant alternative implementation of the Python language
 (2.7).
