## pypy 1.8+dfsg

=== debian/changelog ===
pypy (1.8+dfsg-2) experimental; urgency=low

  * Build the sandboxed PyPy with -O2, not -O3 or -Ojit.  Sandboxed pypy can't
    be built with profile-guided optimisations.
    - Use generational gc, now that we aren't using the JIT.
  * Patch gnukfreebsd-link-rt: Link with -lrt on GNU/kFreeBSD.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 18 Feb 2012 09:28:14 +0200

pypy (1.8+dfsg-1) experimental; urgency=low

  * New upstream release.
  * Refresh patches.
  * Drop patches, applied upstream:
    - compiler-flags
    - docs-version
    - hardcoded-nursery-size
    - test_ssl-errno0
    - test_unix_socket_connect
    - big-endian-test_codecs
    - big-endian-clibffi
    - kfreebsd-glibc
    - kfreebsd-test-hangs
  * Build manpage from upstream docs.
  * Patch doc-envvars: Update manpage, to include environment variables.
  * Patch fpic-archs: Build shared libraries with -fPIC on arm and mips.
  * Patch pypy-help: Make --help not crash.
  * Update copyright contributors and years.
  * pep3147-core: Assert the absence of nulls (assert_str0) on the pathnames
    provided in make_compiled_pathname and make_source_pathname.
  * Build sandboxed pypy: python-pypy.translator.sandbox
    - Patch ignore-shufps: Fix build failure.
    - Patch sandbox-bin: Change pypy_interact's --help to name it pypy-sandbox
    - Patch sandbox-dependencies: Reduce the amount of pypy source that
      pypy-sandobx needs.
    - Patch sandbox-manpage: pypy-sandbox manpage.
    - B-D on python (>= 2.6.6-11~) for dh_python2 with .pyinstall support.
  * Run translations and tests with unbuffered I/O, to combat build timeouts.
    - Lower build-time RAM requirement to 1.4G.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 14 Feb 2012 15:10:21 +0200
