=== debian/control ===
--- 
+++ 
@@ -11,10 +11,11 @@
  libncurses-dev,
  libssl-dev,
  pkg-config,
- python2.7-dev,
+ python (>= 2.6.6-11~),
  python-docutils,
  python-greenlet [!alpha !ia64 !sparc !sparc64],
  python-sphinx (>= 1.0.7+dfsg),
+ python2.7-dev,
  valgrind [amd64 armel armhf i386 powerpc],
  zlib1g-dev
 Build-Depends-Indep: graphviz
@@ -24,8 +25,8 @@
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/pypy.git
 
 Package: pypy
-Architecture: linux-any kfreebsd-any
-Depends: ${misc:Depends}, ${shlibs:Depends}, pypy-lib (= ${source:Version})
+Architecture: kfreebsd-any linux-any
+Depends: pypy-lib (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
 Breaks: pypy-dev (<< ${source:Version})
 Suggests: pypy-doc
 Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
@@ -43,11 +44,29 @@
  .
  This package contains the PyPy interpreter.
 
+Package: python-pypy.translator.sandbox
+Architecture: kfreebsd-any linux-any
+Depends:
+ pypy-lib (= ${source:Version}),
+ ${misc:Depends},
+ ${python:Depends},
+ ${shlibs:Depends}
+Suggests: python-py
+Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
+Description: sandboxed PyPy interpreter
+ A version of PyPy that runs fully "virtualized", where an external process
+ controls all input/output. This is a secure sandbox, it is safe to run any
+ untrusted Python code with it. The Python code cannot see or modify any local
+ file except via interaction with the external process.
+ .
+ PyPy is a fast, compliant alternative implementation of the Python language
+ (2.7).
+
 Package: pypy-lib
 Architecture: all
 Depends: ${misc:Depends}
 Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
-Description: Standard library for PyPy (an alternative Python interpreter)
+Description: standard library for PyPy (an alternative Python interpreter)
  The PyPy standard library. This is a combination of modules, copied directly
  from cpython, modified cpython modules, and modules entirely re-implemented
  (usually in pure Python, where they are C extensions in cpython).
@@ -61,7 +80,7 @@
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
 Suggests: python-doc
-Description: Developer Documentation for PyPy (an alternative Python interpreter)
+Description: developer Documentation for PyPy (an alternative Python interpreter)
  The Developer documentation for PyPy. This mostly covers the internals of
  PyPy, and development of PyPy itself.
  .
@@ -70,9 +89,9 @@
 
 Package: pypy-dev
 Architecture: all
-Depends: ${misc:Depends}, pypy (>= ${source:Version})
+Depends: pypy (>= ${source:Version}), ${misc:Depends}
 Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
-Description: Header files for PyPy (an alternative Python interpreter)
+Description: header files for PyPy (an alternative Python interpreter)
  Header files for compiling cpython C extension modules for use with PyPy.
  Note that pure Python modules will probably perform better.
  .
