=== debian/rules ===
--- 
+++ 
@@ -14,23 +14,26 @@
 
 ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
   OPT := 0
+  SANDBOX_OPT := 0
 else
   OPT := $(shell dpkg-architecture -iany-i386 || dpkg-architecture -iany-amd64 && echo jit || echo 3)
+  SANDBOX_OPT := 2
 endif
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
   SUB_MAKEFLAGS = -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 endif
 
+# dh_python2 is used for pypy-sandbox
 %:
-	dh $@ --with sphinxdoc --without python-support
+	dh $@ --with python2,sphinxdoc
 
 override_dh_auto_configure:
 	set -e; \
 	mem=$(shell sed -rne 's/^MemTotal: *([0-9]+) kB$$/\1/p' /proc/meminfo); \
 	dpkg-architecture -qDEB_BUILD_ARCH | grep -q s390 \
 		&& mem=$$(($$mem + $(shell sed -rne 's/^SwapTotal: *([0-9]+) kB$$/\1/p' /proc/meminfo))) || true; \
-	req_mem=1900; \
+	req_mem=1400; \
 	bits=$(shell dpkg-architecture -qDEB_HOST_ARCH_BITS); \
 	[ $$bits -ge 64 ] && req_mem=$$(($$req_mem * 2)) || true; \
 	if [ $$(($$req_mem * 1024)) -gt $$mem ]; then \
@@ -44,17 +47,31 @@
 override_dh_auto_build-arch:
 	rm -rf $(TMPDIR)
 	mkdir $(TMPDIR)
-	cd pypy/translator/goal && $(PYTHON) translate.py --batch --opt=$(OPT) \
+	cd pypy/translator/goal && $(PYTHON) -u translate.py --batch --opt=$(OPT) \
 	                                     --source targetpypystandalone
 	# PyPy captures all make output, so we call it ourselves, to avoid timeouts:
 	$(MAKE) -C $(C_SRC_DIR) $(SUB_MAKEFLAGS)
 	cp $(C_SRC_DIR)/pypy-c pypy/translator/goal
 
+	# Sandboxed translation:
+	rm -rf $(TMPDIR)
+	mkdir $(TMPDIR)
+	cd pypy/translator/goal && $(PYTHON) -u translate.py --batch \
+	                                     --opt=$(SANDBOX_OPT) \
+	                                     --sandbox \
+	                                     --gc=generation \
+	                                     --gcrootfinder=shadowstack \
+	                                     --source targetpypystandalone
+	$(MAKE) -C $(C_SRC_DIR) $(SUB_MAKEFLAGS)
+	cp $(C_SRC_DIR)/pypy-c pypy/translator/goal/pypy-c-sandbox
+	rm -rf $(TMPDIR)
+
 	# https://bugs.pypy.org/issue610:
 	if [ -x /usr/sbin/execstack ]; then \
 		/usr/sbin/execstack --clear-execstack pypy/translator/goal/pypy-c; \
+		/usr/sbin/execstack --clear-execstack pypy/translator/goal/pypy-c-sandbox; \
 	fi
-	rst2man debian/pypy.1.rst > build-tmp/pypy.1
+	$(MAKE) -C pypy/doc man BUILDDIR=$(CURDIR)/build-docs
 
 override_dh_auto_build-indep:
 	$(MAKE) -C pypy/doc html BUILDDIR=$(CURDIR)/build-docs
@@ -66,15 +83,15 @@
 	rm -rf $(TMPDIR) build-tests
 	mkdir $(TMPDIR) build-tests
 	# Test failures currently ignored
-	PYTHONPATH=. $(PYTHON) testrunner/runner.py \
+	PYTHONPATH=. $(PYTHON) -u testrunner/runner.py \
 	                       --logfile=build-tests/pytest-A.log \
 	                       --config=pypy/pytest-A.cfg \
 	                       --root=pypy || true
-	$(PYTHON) pypy/test_all.py \
+	$(PYTHON) -u pypy/test_all.py \
 	          --pypy=pypy/translator/goal/pypy-c \
 	          --resultlog=build-tests/lib-python.log \
 	          lib-python || true
-	pypy/translator/goal/pypy-c pypy/test_all.py \
+	pypy/translator/goal/pypy-c -u pypy/test_all.py \
 	       --resultlog=build-tests/pypy-c.log \
 	       pypy/module/pypyjit/test_pypy_c || true
 endif
@@ -87,7 +104,7 @@
 	# Created by our PEP3147 patch:
 	rm -f pypy/doc/config/objspace.magic_tag.txt
 	find . -name '*.pyc' -delete
-	rm -f pypy/translator/goal/pypy-c
+	rm -f pypy/translator/goal/pypy-c*
 	rm -f pypy/translator/cli/src/*.exe pypy/translator/cli/src/*.dll
 	rm -f include/*.h include/*.inl
 	rm -rf pypy/_cache
@@ -132,6 +149,9 @@
 override_dh_compress:
 	dh_compress -X.inv -X.txt
 
+override_dh_python2:
+	dh_python2 -p python-pypy.translator.sandbox
+
 override_dh_builddeb:
 	dh_builddeb -- -Zxz
