=== debian/changelog ===
pypy (1.9+dfsg-1) experimental; urgency=low

  * New upstream release.
  * Refresh patches.
  * Update patches for the removal of lib-python/modified-2.7.
  * Drop patches, applied upstream:
    - ignore-shufps
    - pypy-help
  * Apply patches applied in python2.7 2.7.3~rc2-2:
    - pypirc-secure: CVE-2011-4944, distutils creates ~/.pypirc insecurely.
    - xdg-gvfs-open: Use xdg-open/gvfs-open in webbrowser.
  * Moved RAM check and translation options generation into shell scripts in
    debian/scripts. They were getting unwieldy in debian/rules.
  * Updated machine-readable copyright Format to 1.0.
    - Removed mentions of lib-python/modified-2.7.
  * Bumped Standards-Version to 3.9.3, no changes needed.
  * Use valgrind headers on ppc64 and s390x, now that they are available
    there.
  * Don't enforce the RAM check on Ubuntu.
  * Patch ignore-paddd: Update ignored operations ins trackinggcroot our
    gcc4.7 produces paddd on i386.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 19 Jun 2012 14:42:45 +0200
