=== debian/control ===
--- 
+++ 
@@ -16,10 +16,10 @@
  python-greenlet [!alpha !ia64 !sparc !sparc64],
  python-sphinx (>= 1.0.7+dfsg),
  python2.7-dev,
- valgrind [amd64 armel armhf i386 powerpc],
+ valgrind [amd64 armel armhf i386 powerpc ppc64 s390x],
  zlib1g-dev
 Build-Depends-Indep: graphviz
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://pypy.org/
 Vcs-Git: git://anonscm.debian.org/collab-maint/pypy.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/pypy.git
