=== debian/rules ===
--- 
+++ 
@@ -7,18 +7,10 @@
 # PyPy doesn't harden well, and handles opt and debug itself
 BUILDFLAGS_ENV := DEB_BUILD_MAINT_OPTIONS=hardening=-stackprotector,-fortify
 BUILDFLAGS_ENV += DEB_CFLAGS_MAINT_STRIP="-O0 -O1 -O2 -O3 -Os -Ofast -g"
-export CFLAGS := $(shell $(BUILDFLAGS_ENV) dpkg-buildflags --get CFLAGS)
-export LDFLAGS := $(shell $(BUILDFLAGS_ENV) dpkg-buildflags --get LDFLAGS)
+export CFLAGS = $(shell $(BUILDFLAGS_ENV) dpkg-buildflags --get CFLAGS)
+export LDFLAGS = $(shell $(BUILDFLAGS_ENV) dpkg-buildflags --get LDFLAGS)
 
 export PYPY_USESSION_BASENAME := debian
-
-ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
-  OPT := 0
-  SANDBOX_OPT := 0
-else
-  OPT := $(shell dpkg-architecture -iany-i386 || dpkg-architecture -iany-amd64 && echo jit || echo 3)
-  SANDBOX_OPT := 2
-endif
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
   SUB_MAKEFLAGS = -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
@@ -29,52 +21,28 @@
 	dh $@ --with python2,sphinxdoc
 
 override_dh_auto_configure:
-	set -e; \
-	mem=$(shell sed -rne 's/^MemTotal: *([0-9]+) kB$$/\1/p' /proc/meminfo); \
-	dpkg-architecture -qDEB_BUILD_ARCH | grep -q s390 \
-		&& mem=$$(($$mem + $(shell sed -rne 's/^SwapTotal: *([0-9]+) kB$$/\1/p' /proc/meminfo))) || true; \
-	req_mem=1400; \
-	bits=$(shell dpkg-architecture -qDEB_HOST_ARCH_BITS); \
-	[ $$bits -ge 64 ] && req_mem=$$(($$req_mem * 2)) || true; \
-	if [ $$(($$req_mem * 1024)) -gt $$mem ]; then \
-		echo "You don't have enough RAM to build PyPy."; \
-		echo "It's known to require >= $$req_mem MiB on $$bits bit archs."; \
-		exit 1; \
-	fi
+	debian/scripts/memory-check.sh
 
-override_dh_auto_build-arch: export TMPDIR = $(CURDIR)/build-tmp
-override_dh_auto_build-arch: C_SRC_DIR = $(TMPDIR)/usession-$(PYPY_USESSION_BASENAME)-0/testing_1
-override_dh_auto_build-arch:
-	rm -rf $(TMPDIR)
-	mkdir $(TMPDIR)
-	cd pypy/translator/goal && $(PYTHON) -u translate.py --batch --opt=$(OPT) \
-	                                     --source targetpypystandalone
-	# PyPy captures all make output, so we call it ourselves, to avoid timeouts:
-	$(MAKE) -C $(C_SRC_DIR) $(SUB_MAKEFLAGS)
-	cp $(C_SRC_DIR)/pypy-c pypy/translator/goal
-
-	# Sandboxed translation:
-	rm -rf $(TMPDIR)
-	mkdir $(TMPDIR)
-	cd pypy/translator/goal && $(PYTHON) -u translate.py --batch \
-	                                     --opt=$(SANDBOX_OPT) \
-	                                     --sandbox \
-	                                     --gc=generation \
-	                                     --gcrootfinder=shadowstack \
-	                                     --source targetpypystandalone
-	$(MAKE) -C $(C_SRC_DIR) $(SUB_MAKEFLAGS)
-	cp $(C_SRC_DIR)/pypy-c pypy/translator/goal/pypy-c-sandbox
-	rm -rf $(TMPDIR)
-
-	# https://bugs.pypy.org/issue610:
-	if [ -x /usr/sbin/execstack ]; then \
-		/usr/sbin/execstack --clear-execstack pypy/translator/goal/pypy-c; \
-		/usr/sbin/execstack --clear-execstack pypy/translator/goal/pypy-c-sandbox; \
-	fi
+override_dh_auto_build-arch: pypy/translator/goal/pypy-c pypy/translator/goal/pypy-c-sandbox
 	$(MAKE) -C pypy/doc man BUILDDIR=$(CURDIR)/build-docs
 
 override_dh_auto_build-indep:
 	$(MAKE) -C pypy/doc html BUILDDIR=$(CURDIR)/build-docs
+
+pypy/translator/goal/pypy-%: export TMPDIR = $(CURDIR)/build-tmp
+pypy/translator/goal/pypy-%: C_SRC_DIR = $(TMPDIR)/usession-$(PYPY_USESSION_BASENAME)-0/testing_1
+pypy/translator/goal/pypy-%:
+	rm -rf $(TMPDIR)
+	mkdir $(TMPDIR)
+	debian/scripts/translate.sh --python $(PYTHON) $$(echo $@ | grep -q sandbox && echo --sandbox)
+	# PyPy captures all make output, so we call it ourselves, to avoid timeouts:
+	$(MAKE) -C $(C_SRC_DIR) $(SUB_MAKEFLAGS)
+	cp $(C_SRC_DIR)/pypy-c $@
+
+	# https://bugs.pypy.org/issue610:
+	if [ -x /usr/sbin/execstack ]; then \
+		/usr/sbin/execstack --clear-execstack $@; \
+	fi
 
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
 override_dh_auto_test: export TMPDIR = $(CURDIR)/build-tests-tmp
@@ -110,7 +78,7 @@
 	rm -rf pypy/_cache
 	rm -f lib_pypy/ctypes_config_cache/_*_cache.py
 	rm -f $(filter-out %__init__.py, $(wildcard lib_pypy/ctypes_config_cache/_*_.py))
-	rm -f lib-python/modified-2.7/lib2to3/*Grammar*.pickle \
+	rm -f lib-python/2.7/lib2to3/*Grammar*.pickle \
 	      pypy/module/test_lib_pypy/ctypes_tests/_ctypes_test.o \
 	      pypy/doc/config/commandline*.rst \
 	      pypy/doc/config/objspace*.rst \
