=== debian/changelog ===
pypy (2.0.2+dfsg-4) unstable; urgency=low

  * Relax the RAM check on kfreebsd-amd64, which currently has 3GB buildds.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 28 Jun 2013 01:12:07 +0200

pypy (2.0.2+dfsg-3) unstable; urgency=low

  * Let dh_usrlocal handle the empty directories in /usr/local, and create
    them with dh_installdirs. (Closes: #713958)
  * Use a more conservative RAM requirement on x86. (Closes: #713787)

 -- Stefano Rivera <stefanor@debian.org>  Mon, 24 Jun 2013 18:44:22 +0200

pypy (2.0.2+dfsg-2) unstable; urgency=low

  * Create empty directories in /usr/local
  * Fix a bug in l2-cache-detection on sparc, causing FTBFS due to the
    interpreter aborting on startup.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 23 Jun 2013 23:07:54 +0200

pypy (2.0.2+dfsg-1) unstable; urgency=low

  * New upstream bug-fix release.
    - mainly fatal errors or crashes in the stdlib, and a JIT bug around
      foreign functions calls in multi-threaded programs.
  * Refresh patches.
  * Drop docs-version patch.
  * Clean up after cffi tests.
  * so_reuseport: Avoid test failures on machines without SO_REUSEPORT
    support.
  * gnukfreebsd: Add the GNUkFreebsd platform descriptions that were
    accidentally deleted upstream.
  * Drop B-D on python-greenlet, unneeded.
  * l2-cache-detection: Add L2 cache size detection code for non-x86
    architectures.
  * Bullet pypy's description to make it more readable. Thanks Jonas
    Smedegaard. (Closes: #709091)
  * Disable ARM JIT until declared stable by upstream.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 24 May 2013 01:08:28 +0200

pypy (2.0.0+dfsg-1) unstable; urgency=low

  * New upstream release (Closes: #698524)
  * Upload to unstable.
  * Refresh patches.
  * Update copyright.
  * Drop patches, applied/superseded upstream:
    - test_telnetlib-deadlock
    - test_subprocess
    - ignore-paddd
    - issue670664
    - fpic-archs
    - gnukfreebsd-link-rt
  * Patches:
    - pep3147-core: Drop validation of .py filenames. This is behaviour is now
      expected in tests.
    - pep3147-stdlib: Use cached_from_source in added tests.
    - distutils-install-layout: Let pydoc handle dist-packages the same as
      site-packages.
    - shared-ffi: Don't static link with libffi.
    - docs-version: Update docs versions for 2.0 final.
    - distutils-cflags: Build cffi modules when CFLAGS contains a space.
  * Export TERM=dumb for lib-python tests (if not already in the environment).
    Required by test_readline.
  * Build-Depend on procps, for test_signal.
  * Build-Depend on netbase, for test_socket.
  * Build-Depend on libsqlite3-dev, _sqlite3 (which now uses CFFI).
  * Build with JIT on ARM.
  * Use valgrind headers on mips, now that they are available there.
  * Update paths for the rpython-pypy split.
  * Rename python-pypy.translator.sandbox -> python-pypy.sandbox, following
    the pypy-rpython split.
  * cffi is now bundled in the stdlib:
    - Move _cffi shared libraries out of __pycache__, and put them in the
      pypy binary package.
    - Provides pypy-cffi.
  * Byte-compile lib_pypy, too.
  * Bumped Standards-Version to 3.9.4, no changes needed.
  * Build-Depend on python-greenlet, enabling stackless builds on, sparc and
    sparc64, now that it's available there. Blacklist sh4.
  * Use valgrind headers on mipsel, now that they are available.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 10 May 2013 20:15:26 +0200

pypy (1.9+dfsg-2) experimental; urgency=low

  * Redirect translation output to stdout. Buildds don't watch stderr for
    checking timeouts.
  * Do enforce the RAM check on Ubuntu, for non-primary-archive builds.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 12 Jul 2012 21:51:31 -0600
