=== debian/control ===
--- 
+++ 
@@ -9,17 +9,19 @@
  libexpat1-dev,
  libffi-dev,
  libncurses-dev,
+ libsqlite3-dev,
  libssl-dev,
+ netbase,
  pkg-config,
+ procps,
  python (>= 2.6.6-11~),
  python-docutils,
- python-greenlet [!alpha !ia64 !sparc !sparc64],
  python-sphinx (>= 1.0.7+dfsg),
  python2.7-dev,
- valgrind [amd64 armel armhf i386 powerpc ppc64 s390x],
+ valgrind [amd64 armel armhf i386 mips mipsel powerpc ppc64 s390x],
  zlib1g-dev
 Build-Depends-Indep: graphviz
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://pypy.org/
 Vcs-Git: git://anonscm.debian.org/collab-maint/pypy.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/pypy.git
@@ -33,18 +35,19 @@
 Description: fast alternative implementation of Python - PyPy interpreter
  PyPy is a fast, compliant alternative implementation of the Python language
  (2.7). It has several advantages and distinct features:
- Speed: thanks to its Just-in-Time compiler (on x86), Python programs often run
- faster on PyPy.
- Memory usage: large, memory-hungry Python programs might end up taking less
- space than they do in CPython.
- Compatibility: PyPy is highly compatible with existing Python code. It
- supports ctypes and can run popular Python libraries like twisted and django.
- Stackless: PyPy can be configured to run in stackless mode, providing
- micro-threads for massive concurrency.
+  * Speed: thanks to its Just-in-Time compiler (on x86), Python programs often
+    run faster on PyPy.
+  * Memory usage: large, memory-hungry Python programs might end up taking less
+    space than they do in CPython.
+  * Compatibility: PyPy is highly compatible with existing Python code.
+    It supports ctypes and can run popular Python libraries like twisted and
+    django.
+  * Stackless: PyPy supports stackless mode on x86, providing
+    micro-threads for massive concurrency.
  .
  This package contains the PyPy interpreter.
 
-Package: python-pypy.translator.sandbox
+Package: python-pypy.sandbox
 Architecture: kfreebsd-any linux-any
 Depends:
  pypy-lib (= ${source:Version}),
@@ -52,6 +55,8 @@
  ${python:Depends},
  ${shlibs:Depends}
 Suggests: python-py
+Replaces: python-pypy.translator.sandbox (<< 2.0~beta2+hg61648)
+Breaks: python-pypy.translator.sandbox (<< 2.0~beta2+hg61648)
 Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
 Description: sandboxed PyPy interpreter
  A version of PyPy that runs fully "virtualized", where an external process
@@ -66,6 +71,7 @@
 Architecture: all
 Depends: ${misc:Depends}
 Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
+Provides: pypy-cffi
 Description: standard library for PyPy (an alternative Python interpreter)
  The PyPy standard library. This is a combination of modules, copied directly
  from cpython, modified cpython modules, and modules entirely re-implemented
