=== debian/rules ===
--- 
+++ 
@@ -23,15 +23,17 @@
 override_dh_auto_configure:
 	debian/scripts/memory-check.sh
 
-override_dh_auto_build-arch: pypy/translator/goal/pypy-c pypy/translator/goal/pypy-c-sandbox
+override_dh_auto_build-arch: pypy/goal/pypy-c pypy/goal/pypy-c-sandbox
 	$(MAKE) -C pypy/doc man BUILDDIR=$(CURDIR)/build-docs
+	# Build cffi modules
+	pypy/goal/pypy-c -c 'import _sqlite3, _curses'
 
 override_dh_auto_build-indep:
 	$(MAKE) -C pypy/doc html BUILDDIR=$(CURDIR)/build-docs
 
-pypy/translator/goal/pypy-%: export TMPDIR = $(CURDIR)/build-tmp
-pypy/translator/goal/pypy-%: C_SRC_DIR = $(TMPDIR)/usession-$(PYPY_USESSION_BASENAME)-0/testing_1
-pypy/translator/goal/pypy-%:
+pypy/goal/pypy-%: export TMPDIR = $(CURDIR)/build-tmp
+pypy/goal/pypy-%: C_SRC_DIR = $(TMPDIR)/usession-$(PYPY_USESSION_BASENAME)-0/testing_1
+pypy/goal/pypy-%:
 	rm -rf $(TMPDIR)
 	mkdir $(TMPDIR)
 	debian/scripts/translate.sh --python $(PYTHON) $$(echo $@ | grep -q sandbox && echo --sandbox)
@@ -55,11 +57,11 @@
 	                       --logfile=build-tests/pytest-A.log \
 	                       --config=pypy/pytest-A.cfg \
 	                       --root=pypy || true
-	$(PYTHON) -u pypy/test_all.py \
-	          --pypy=pypy/translator/goal/pypy-c \
+	TERM=$${TERM:-dumb} $(PYTHON) -u pypy/test_all.py \
+	          --pypy=pypy/goal/pypy-c \
 	          --resultlog=build-tests/lib-python.log \
 	          lib-python || true
-	pypy/translator/goal/pypy-c -u pypy/test_all.py \
+	pypy/goal/pypy-c -u pypy/test_all.py \
 	       --resultlog=build-tests/pypy-c.log \
 	       pypy/module/pypyjit/test_pypy_c || true
 endif
@@ -72,12 +74,19 @@
 	# Created by our PEP3147 patch:
 	rm -f pypy/doc/config/objspace.magic_tag.txt
 	find . -name '*.pyc' -delete
-	rm -f pypy/translator/goal/pypy-c*
-	rm -f pypy/translator/cli/src/*.exe pypy/translator/cli/src/*.dll
+	find . -path '*/__pycache__/*' -delete
+	find . -name '__pycache__' -delete
+	rm -f pypy/goal/pypy-c*
+	rm -f pypy/test.db
+	rm -f rpython/translator/cli/src/*.exe rpython/translator/cli/src/*.dll
+	find rpython/translator/c -name '*.o' -delete
 	rm -f include/*.h include/*.inl
-	rm -rf pypy/_cache
+	rm -rf rpython/_cache
 	rm -f lib_pypy/ctypes_config_cache/_*_cache.py
 	rm -f $(filter-out %__init__.py, $(wildcard lib_pypy/ctypes_config_cache/_*_.py))
+	rm -rf pypy/module/test_lib_pypy/cffi_tests/snippets/*/build \
+	       pypy/module/test_lib_pypy/cffi_tests/snippets/*/dist \
+	       pypy/module/test_lib_pypy/cffi_tests/snippets/*/*.egg-info
 	rm -f lib-python/2.7/lib2to3/*Grammar*.pickle \
 	      pypy/module/test_lib_pypy/ctypes_tests/_ctypes_test.o \
 	      pypy/doc/config/commandline*.rst \
@@ -95,6 +104,7 @@
 	# Architecture-dependant bits of the stdlib (shipped in pypy)
 	find debian/pypy-lib/usr/lib/pypy/lib_pypy/ctypes_config_cache \
 	     \( -name '_*_.py' -a ! -name '__init__.py' \) -delete
+	rm -rf debian/pypy-lib/usr/lib/pypy/lib_pypy/__pycache__
 	# Architecture-dependant headers (shipped in pypy)
 	rm debian/pypy-dev/usr/lib/pypy/include/pypy_*.h
 
@@ -118,7 +128,7 @@
 	dh_compress -X.inv -X.txt
 
 override_dh_python2:
-	dh_python2 -p python-pypy.translator.sandbox
+	dh_python2 -p python-pypy.sandbox
 
 override_dh_builddeb:
 	dh_builddeb -- -Zxz
@@ -137,7 +147,7 @@
 endif
 	rm -rf pypy-$(VER).orig/.hg*
 	rm pypy-$(VER).orig/lib-python/*2.7/distutils/command/*.exe
-	rm pypy-$(VER).orig/pypy/translator/jvm/src/*.jar
+	rm pypy-$(VER).orig/rpython/translator/jvm/src/*.jar
 	tar -cJ --owner root --group root --mode a+rX \
 	    -f pypy_$(VER)+dfsg.orig.tar.xz pypy-$(VER).orig
 	rm -rf pypy-$(VER).orig
